﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Delta Time VER VISA /9500
DATE:                  2014-12-02 12:17:53
AUTHOR:                Fluke
REVISION:              $Revision: 23178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       30
NUMBER OF LINES:       434
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4014B, DPO4034B, DPO4054B
#        MSO4014B, MSO4034B, MSO4054B
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6
#
#  Compatibility:
#        MET/VER 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {DELTA TIME ACCURACY: Channel [V @Chan]}
  1.003  RSLT         =

# Ensure test is performed at the correct period, per DUT model.
  1.004  IF           @Bandwidth <= 240E+6
# Convert bandwidth from Hz to MHz before printing to the results.
  1.005  MATH         TestFreq = @Bandwidth / 1E+6
  1.006  HEAD         -2 {4 ns/div, [V TestFreq] MHz}
  1.007  MATH         TestPeriod = 1 / @Bandwidth
  1.008  ELSE
  1.009  HEAD         -2 {4 ns/div, 240 MHz}, 5 mV/div
  1.010  MATH         TestPeriod = 1/ 240E+6
  1.011  ENDIF

  1.012  TARGET       -p
  1.013  TSET         TDESC = 5 mV/div
  1.014  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA
  1.015  VISA         CH[V @Chan]:TER 50;SCA 5E-3
  1.016  VISA         TRIG:A:EDGE:SOU CH[V @Chan]
  1.017  VISA         MEASU:MEAS1:SOU CH[V @Chan];TYPE BUR;STATE ON
  1.018  VISA         MEASU:STATI:MODE ON;WEI 100
  1.019  VISA         HOR:SCA 4E-9

  1.020  MATH         MEM = TestPeriod
  1.021  9500         T                            40mVpp         LS    S  L
  1.022  WAIT         [D2000]
  1.023  TARGET       -m
  1.024  VISA         MEASU:STATI RESET
  1.025  WAIT         -t 10 DUT Acquiring Samples...
  1.026  VISA         MEASU:MEAS1:STD?[I]
  1.027  MATH         MEM = MEM / 1E-12
  1.028  MEMCX        0pT            +234U

  2.001  HEAD         -2 4 ns/div, 240 MHz, 100 mV/div
  2.002  TSET         TDESC = 100 mV/div
  2.003  VISA         CH[V @Chan]:SCA 100E-3
  2.004  MATH         MEM = TestPeriod
  2.005  9500         T                            800mVpp        LS    S  L
  2.006  WAIT         [D2000]
  2.007  TARGET       -m
  2.008  VISA         MEASU:STATI RESET
  2.009  WAIT         -t 10 DUT Acquiring Samples...
  2.010  VISA         MEASU:MEAS1:STD?[I]
  2.011  MATH         MEM = MEM / 1E-12
  2.012  MEMCX        0pT            +233U

  3.001  HEAD         -2 4 ns/div, 240 MHz, 500 mV/div
  3.002  TSET         TDESC = 500 mV/div
  3.003  VISA         CH[V @Chan]:SCA 500E-3
  3.004  MATH         MEM = TestPeriod
  3.005  9500         T                            4Vpp           LS    S  L
  3.006  WAIT         [D2000]
  3.007  TARGET       -m
  3.008  VISA         MEASU:STATI RESET
  3.009  WAIT         -t 10 DUT Acquiring Samples...
  3.010  VISA         MEASU:MEAS1:STD?[I]
  3.011  MATH         MEM = MEM / 1E-12
  3.012  MEMCX        0pT            +233U

  4.001  HEAD         -2 4 ns/div, 240 MHz, 1 V/div
  4.002  TSET         TDESC = 1 V/div
  4.003  VISA         CH[V @Chan]:SCA 1
  4.004  MATH         MEM = TestPeriod
  4.005  9500         T                            4Vpp           LS    S  L
  4.006  WAIT         [D2000]
  4.007  TARGET       -m
  4.008  VISA         MEASU:STATI RESET
  4.009  WAIT         -t 10 DUT Acquiring Samples...
  4.010  VISA         MEASU:MEAS1:STD?[I]
  4.011  MATH         MEM = MEM / 1E-12
  4.012  MEMCX        0pT            +237U

  5.001  RSLT         =
  5.002  HEAD         -2 {40 ns/div, 24 MHz}, 1 mV/div
  5.003  TARGET
  5.004  TSET         TDESC = 1 mV/div
  5.005  VISA         HOR:SCA 40E-9;:CH[V @Chan]:SCA 1E-3
# 1 / 24 MHz = 41666.66... ps
  5.006  9500         41667pT                      8mVpp          LS    S  L
  5.007  WAIT         [D2000]
  5.008  TARGET       -m
  5.009  VISA         MEASU:STATI RESET
  5.010  WAIT         -t 10 DUT Acquiring Samples...
  5.011  VISA         MEASU:MEAS1:STD?[I]
  5.012  MATH         MEM = MEM / 1E-12
  5.013  MEMCX        0pT            +736U

  6.001  HEAD         -2 40 ns/div, 24 MHz, 5 mV/div
  6.002  TSET         TDESC = 5 mV/div
  6.003  VISA         CH[V @Chan]:SCA 5E-3
  6.004  9500         41667pT                      40mVpp         LS    S  L
  6.005  WAIT         [D2000]
  6.006  TARGET       -m
  6.007  VISA         MEASU:STATI RESET
  6.008  WAIT         -t 10 DUT Acquiring Samples...
  6.009  VISA         MEASU:MEAS1:STD?[I]
  6.010  MATH         MEM = MEM / 1E-12
  6.011  MEMCX        0pT            +423U

  7.001  HEAD         -2 40 ns/div, 24 MHz, 100 mV/div
  7.002  TSET         TDESC = 100 mV/div
  7.003  VISA         CH[V @Chan]:SCA 100E-3
  7.004  9500         41667pT                      800mVpp        LS    S  L
  7.005  WAIT         [D2000]
  7.006  TARGET       -m
  7.007  VISA         MEASU:STATI RESET
  7.008  WAIT         -t 10 DUT Acquiring Samples...
  7.009  VISA         MEASU:MEAS1:STD?[I]
  7.010  MATH         MEM = MEM / 1E-12
  7.011  MEMCX        0pT            +357U

  8.001  HEAD         -2 40 ns/div, 24 MHz, 500 mV/div
  8.002  TSET         TDESC = 500 mV/div
  8.003  VISA         CH[V @Chan]:SCA 500E-3
  8.004  9500         41667pT                      4Vpp           LS    S  L
  8.005  WAIT         [D2000]
  8.006  TARGET       -m
  8.007  VISA         MEASU:STATI RESET
  8.008  WAIT         -t 10 DUT Acquiring Samples...
  8.009  VISA         MEASU:MEAS1:STD?[I]
  8.010  MATH         MEM = MEM / 1E-12
  8.011  MEMCX        0pT            +354U

  9.001  HEAD         -2 40 ns/div, 24 MHz, 1 V/div
  9.002  TSET         TDESC = 1 V/div
  9.003  VISA         CH[V @Chan]:SCA 1
  9.004  9500         41667pT                      4Vpp           LS    S  L
  9.005  WAIT         [D2000]
  9.006  TARGET       -m
  9.007  VISA         MEASU:STATI RESET
  9.008  WAIT         -t 10 DUT Acquiring Samples...
  9.009  VISA         MEASU:MEAS1:STD?[I]
  9.010  MATH         MEM = MEM / 1E-12
  9.011  MEMCX        0pT            +581U

 10.001  RSLT         =
 10.002  HEAD         -2 {400 ns/div, 2.4 MHz}, 1 mV/div
 10.003  TARGET
 10.004  TSET         TDESC = 1 mV/div
 10.005  VISA         HOR:SCA 400E-9;:CH[V @Chan]:SCA 1E-3
# 1 / 2.4 MHz = 416.6666... ns
 10.006  9500         416.67nT                     8mVpp          LS    S  L
 10.007  WAIT         [D2000]
 10.008  TARGET       -m
 10.009  VISA         MEASU:STATI RESET
 10.010  WAIT         -t 10 DUT Acquiring Samples...
 10.011  VISA         MEASU:MEAS1:STD?[I]
 10.012  MATH         MEM = MEM / 1E-9
 10.013  MEMCX        0.00nT         +6.99U

 11.001  HEAD         -2 400 ns/div, 2.4 MHz, 5 mV/div
 11.002  TSET         TDESC = 5 mV/div
 11.003  VISA         CH[V @Chan]:SCA 5E-3
 11.004  9500         416.67nT                     40mVpp         LS    S  L
 11.005  WAIT         [D2000]
 11.006  TARGET       -m
 11.007  VISA         MEASU:STATI RESET
 11.008  WAIT         -t 10 DUT Acquiring Samples...
 11.009  VISA         MEASU:MEAS1:STD?[I]
 11.010  MATH         MEM = MEM / 1E-9
 11.011  MEMCX        0.00nT         +3.54U

 12.001  HEAD         -2 400 ns/div, 2.4 MHz, 100 mV/div
 12.002  TSET         TDESC = 100 mV/div
 12.003  VISA         CH[V @Chan]:SCA 100E-3
 12.004  9500         416.67nT                     800mVpp        LS    S  L
 12.005  WAIT         [D2000]
 12.006  TARGET       -m
 12.007  VISA         MEASU:STATI RESET
 12.008  WAIT         -t 10 DUT Acquiring Samples...
 12.009  VISA         MEASU:MEAS1:STD?[I]
 12.010  MATH         MEM = MEM / 1E-9
 12.011  MEMCX        0.00nT         +2.73U

 13.001  HEAD         -2 400 ns/div, 2.4 MHz, 500 mV/div
 13.002  TSET         TDESC = 500 mV/div
 13.003  VISA         CH[V @Chan]:SCA 500E-3
 13.004  9500         416.67nT                     4Vpp           LS    S  L
 13.005  WAIT         [D2000]
 13.006  TARGET       -m
 13.007  VISA         MEASU:STATI RESET
 13.008  WAIT         -t 10 DUT Acquiring Samples...
 13.009  VISA         MEASU:MEAS1:STD?[I]
 13.010  MATH         MEM = MEM / 1E-9
 13.011  MEMCX        0.00nT         +2.69U

 14.001  HEAD         -2 400 ns/div, 2.4 MHz, 1 V/div
 14.002  TSET         TDESC = 1 V/div
 14.003  VISA         CH[V @Chan]:SCA 1
 14.004  9500         416.67nT                     4Vpp           LS    S  L
 14.005  WAIT         [D2000]
 14.006  TARGET       -m
 14.007  VISA         MEASU:STATI RESET
 14.008  WAIT         -t 10 DUT Acquiring Samples...
 14.009  VISA         MEASU:MEAS1:STD?[I]
 14.010  MATH         MEM = MEM / 1E-9
 14.011  MEMCX        0.00nT         +5.34U

 15.001  RSLT         =
 15.002  HEAD         -2 {4 µs/div, 240 kHz}, 1 mV/div
 15.003  TARGET
 15.004  TSET         TDESC = 1 mV/div
 15.005  VISA         HOR:SCA 4E-6;:CH[V @Chan]:SCA 1E-3
# 1 / 240 kHz = 4166.666... ns
 15.006  9500         4166.7nT                     8mVpp          LS    S  L
 15.007  WAIT         [D2000]
 15.008  TARGET       -m
 15.009  VISA         MEASU:STATI RESET
 15.010  WAIT         -t 10 DUT Acquiring Samples...
 15.011  VISA         MEASU:MEAS1:STD?[I]
 15.012  MATH         MEM = MEM / 1E-9
 15.013  MEMCX        0.0nT          +69.9U

 16.001  HEAD         -2 4 µs/div, 240 kHz, 5 mV/div
 16.002  TSET         TDESC = 5 mV/div
 16.003  VISA         CH[V @Chan]:SCA 5E-3
 16.004  9500         4166.7nT                     40mVpp         LS    S  L
 16.005  WAIT         [D2000]
 16.006  TARGET       -m
 16.007  VISA         MEASU:STATI RESET
 16.008  WAIT         -t 10 DUT Acquiring Samples...
 16.009  VISA         MEASU:MEAS1:STD?[I]
 16.010  MATH         MEM = MEM / 1E-9
 16.011  MEMCX        0.0nT          +35.4U

 17.001  HEAD         -2 4 µs/div, 240 kHz, 100 mV/div
 17.002  TSET         TDESC = 100 mV/div
 17.003  VISA         CH[V @Chan]:SCA 100E-3
 17.004  9500         4166.7nT                     800mVpp        LS    S  L
 17.005  WAIT         [D2000]
 17.006  TARGET       -m
 17.007  VISA         MEASU:STATI RESET
 17.008  WAIT         -t 10 DUT Acquiring Samples...
 17.009  VISA         MEASU:MEAS1:STD?[I]
 17.010  MATH         MEM = MEM / 1E-9
 17.011  MEMCX        0.0nT          +27.3U

 18.001  HEAD         -2 4 µs/div, 240 kHz, 500 mV/div
 18.002  TSET         TDESC = 500 mV/div
 18.003  VISA         CH[V @Chan]:SCA 500E-3
 18.004  9500         4166.7nT                     4Vpp           LS    S  L
 18.005  WAIT         [D2000]
 18.006  TARGET       -m
 18.007  VISA         MEASU:STATI RESET
 18.008  WAIT         -t 10 DUT Acquiring Samples...
 18.009  VISA         MEASU:MEAS1:STD?[I]
 18.010  MATH         MEM = MEM / 1E-9
 18.011  MEMCX        0.0nT          +26.9U

 19.001  HEAD         -2 4 µs/div, 240 kHz, 1 V/div
 19.002  TSET         TDESC = 1 V/div
 19.003  VISA         CH[V @Chan]:SCA 1
 19.004  9500         4166.7nT                     4Vpp           LS    S  L
 19.005  WAIT         [D2000]
 19.006  TARGET       -m
 19.007  VISA         MEASU:STATI RESET
 19.008  WAIT         -t 10 DUT Acquiring Samples...
 19.009  VISA         MEASU:MEAS1:STD?[I]
 19.010  MATH         MEM = MEM / 1E-9
 19.011  MEMCX        0.0nT          +53.4U

 20.001  RSLT         =
 20.002  HEAD         -2 {40 µs/div, 24 kHz}, 1 mV/div
 20.003  TARGET
 20.004  TSET         TDESC = 1 mV/div
 20.005  VISA         HOR:SCA 40E-6;:CH[V @Chan]:SCA 1E-3
# 1 / 24 kHz = 41666.66... ns
 20.006  9500         41667nT                      8mVpp          LS    S  L
 20.007  WAIT         [D2000]
 20.008  TARGET       -m
 20.009  VISA         MEASU:STATI RESET
 20.010  WAIT         -t 10 DUT Acquiring Samples...
 20.011  VISA         MEASU:MEAS1:STD?[I]
 20.012  MATH         MEM = MEM / 1E-9
 20.013  MEMCX        0nT            +699U

 21.001  HEAD         -2 40 µs/div, 24 kHz, 5 mV/div
 21.002  TSET         TDESC = 5 mV/div
 21.003  VISA         CH[V @Chan]:SCA 5E-3
 21.004  9500         41667nT                      40mVpp         LS    S  L
 21.005  WAIT         [D2000]
 21.006  TARGET       -m
 21.007  VISA         MEASU:STATI RESET
 21.008  WAIT         -t 10 DUT Acquiring Samples...
 21.009  VISA         MEASU:MEAS1:STD?[I]
 21.010  MATH         MEM = MEM / 1E-9
 21.011  MEMCX        0nT            +354U

 22.001  HEAD         -2 40 µs/div, 24 kHz, 100 mV/div
 22.002  TSET         TDESC = 100 mV/div
 22.003  VISA         CH[V @Chan]:SCA 100E-3
 22.004  9500         41667nT                      800mVpp        LS    S  L
 22.005  WAIT         [D2000]
 22.006  TARGET       -m
 22.007  VISA         MEASU:STATI RESET
 22.008  WAIT         -t 10 DUT Acquiring Samples...
 22.009  VISA         MEASU:MEAS1:STD?[I]
 22.010  MATH         MEM = MEM / 1E-9
 22.011  MEMCX        0nT            +273U

 23.001  HEAD         -2 40 µs/div, 24 kHz, 500 mV/div
 23.002  TSET         TDESC = 500 mV/div
 23.003  VISA         CH[V @Chan]:SCA 500E-3
 23.004  9500         41667nT                      4Vpp           LS    S  L
 23.005  WAIT         [D2000]
 23.006  TARGET       -m
 23.007  VISA         MEASU:STATI RESET
 23.008  WAIT         -t 10 DUT Acquiring Samples...
 23.009  VISA         MEASU:MEAS1:STD?[I]
 23.010  MATH         MEM = MEM / 1E-9
 23.011  MEMCX        0nT            +269U

 24.001  HEAD         -2 40 µs/div, 24 kHz, 1 V/div
 24.002  TSET         TDESC = 1 V/div
 24.003  VISA         CH[V @Chan]:SCA 1
 24.004  9500         41667nT                      4Vpp           LS    S  L
 24.005  WAIT         [D2000]
 24.006  TARGET       -m
 24.007  VISA         MEASU:STATI RESET
 24.008  WAIT         -t 10 DUT Acquiring Samples...
 24.009  VISA         MEASU:MEAS1:STD?[I]
 24.010  MATH         MEM = MEM / 1E-9
 24.011  MEMCX        0nT            +534U

 25.001  RSLT         =
 25.002  HEAD         -2 {400 µs/div, 2.4 kHz}, 1 mV/div
 25.003  TARGET
 25.004  TSET         TDESC = 1 mV/div
 25.005  VISA         HOR:SCA 400E-6;:CH[V @Chan]:SCA 1E-3
# 1 / 2.4 kHz = 416.6666... µs
 25.006  9500         416.67uT                     8mVpp          LS    S  L
 25.007  WAIT         [D2000]
 25.008  TARGET       -m
 25.009  VISA         MEASU:STATI RESET
 25.010  WAIT         -t 10 DUT Acquiring Samples...
 25.011  VISA         MEASU:MEAS1:STD?[I]
 25.012  MATH         MEM = MEM / 1E-6
 25.013  MEMCX        0.00uT         +6.99U

 26.001  HEAD         -2 400 µs/div, 2.4 kHz, 5 mV/div
 26.002  TSET         TDESC = 5 mV/div
 26.003  VISA         CH[V @Chan]:SCA 5E-3
 26.004  9500         416.67uT                     40mVpp         LS    S  L
 26.005  WAIT         [D2000]
 26.006  TARGET       -m
 26.007  VISA         MEASU:STATI RESET
 26.008  WAIT         -t 10 DUT Acquiring Samples...
 26.009  VISA         MEASU:MEAS1:STD?[I]
 26.010  MATH         MEM = MEM / 1E-6
 26.011  MEMCX        0.00uT         +3.54U

 27.001  HEAD         -2 400 µs/div, 2.4 kHz, 100 mV/div
 27.002  TSET         TDESC = 100 mV/div
 27.003  VISA         CH[V @Chan]:SCA 100E-3
 27.004  9500         416.67uT                     800mVpp        LS    S  L
 27.005  WAIT         [D2000]
 27.006  TARGET       -m
 27.007  VISA         MEASU:STATI RESET
 27.008  WAIT         -t 10 DUT Acquiring Samples...
 27.009  VISA         MEASU:MEAS1:STD?[I]
 27.010  MATH         MEM = MEM / 1E-6
 27.011  MEMCX        0.00uT         +2.73U

 28.001  HEAD         -2 400 µs/div, 2.4 kHz, 500 mV/div
 28.002  TSET         TDESC = 500 mV/div
 28.003  VISA         CH[V @Chan]:SCA 500E-3
 28.004  9500         416.67uT                     4Vpp           LS    S  L
 28.005  WAIT         [D2000]
 28.006  TARGET       -m
 28.007  VISA         MEASU:STATI RESET
 28.008  WAIT         -t 10 DUT Acquiring Samples...
 28.009  VISA         MEASU:MEAS1:STD?[I]
 28.010  MATH         MEM = MEM / 1E-6
 28.011  MEMCX        0.00uT         +2.69U

 29.001  HEAD         -2 400 µs/div, 2.4 kHz, 1 V/div
 29.002  TSET         TDESC = 1 V/div
 29.003  VISA         CH[V @Chan]:SCA 1
 29.004  9500         416.67uT                     4Vpp           LS    S  L
 29.005  WAIT         [D2000]
 29.006  TARGET       -m
 29.007  VISA         MEASU:STATI RESET
 29.008  WAIT         -t 10 DUT Acquiring Samples...
 29.009  VISA         MEASU:MEAS1:STD?[I]
 29.010  MATH         MEM = MEM / 1E-6
 29.011  MEMCX        0.00uT         +5.34U

 30.001  HEAD         -2
 30.002  9500         *                                                 S
 30.003  HEAD
 30.004  END
